Company logoTrust Center Documentation
API v1 ReferenceCertificationsIdFiletype

Upload certification file

Upload a file for a certification. Supports two file types: - `document`: PDF files up to 1.5MB for certification documents - `badge`: Image files up to…

PUT
/api/v1/certifications/{id}/{filetype}

Upload a file for a certification. Supports two file types: - document: PDF files up to 1.5MB for certification documents - badge: Image files up to 100KB for certification badges (PNG, JPEG, GIF, SVG, WebP)

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Certification ID

Formatuuid
filetype*string

Type of file to upload

Value in

  • "document"
  • "badge"

Request Body

multipart/form-data

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/api/v1/certifications/550e8400-e29b-41d4-a716-446655440000/document" \  -F file="string"
{  "success": true,  "data": {    "fileId": "string",    "url": "http://example.com"  }}

How is this guide?